<template>
    <div>
        <h2 class="text-center">Lead Metas</h2>

        <table class="table">
            <thead>
                <tr>
                    <th>Field</th>
                    <th>Value</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="leadMeta in dataLeadMetas" :key="leadMeta.id">
                    <td>{{ leadMeta.field }}</td>
                    <td>{{ leadMeta.value }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
export default {
    data() {
        return {
            dataLeadMetas: [],
        };
    },
    created() {
        this.$route
        axios
            .get(`/api/lead_metas/${this.$route.params.leadId}`)
            .then(res => {
                this.dataLeadMetas = res.data;
            })
            .catch(err => {
                console.warn(err.message);
            });
    },
    methods: {}
};
</script>
